
Katello - Bug #6172

subscfription-manager register w/ activation key fails because hidden user does not have org

permissions

06/11/2014 07:30 PM - Thomas McKay

Status: Closed   

Priority: High   

Assignee: Thomas McKay   

Category: Subscriptions   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1108352 Red Hat JIRA:  

Pull request:    

Description

```

$ sudo subscription-manager register --org megacorp --activationkey="Satellite-6 Demo"

User 'hidden-13v0eu' does not belong to Organization 'megacorp'.

```

```

[ERROR 2014-06-11 15:21:07 cp_proxy] Katello::HttpErrors::NotFound: User 'hidden-13v0eu' does not belong to Organization

'megacorp'.  | /home/thomasmckay/code/katello/app/controllers/katello/api/v1/candlepin_proxies_controller.rb:304:in

`find_organization'  | /home/thomasmckay/code/katello/app/controllers/katello/api/v1/candlepin_proxies_controller.rb:311:in

`find_activation_keys'  | /home/thomasmckay/code/katello/app/controllers/katello/api/v1/candlepin_proxies_controller.rb:224:in

`consumer_activate'

```

Associated revisions

Revision 0c7c92fe - 06/11/2014 07:39 PM - Thomas McKay

fixes #6172 - give hidden user access to all orgs

Revision 341c7e0b - 06/11/2014 08:55 PM - Thomas McKay

Merge pull request #4251 from thomasmckay/6172-hidden-user

fixes #6172 - give hidden user access to all orgs

History

#1 - 06/11/2014 07:30 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1108352

#2 - 06/11/2014 07:38 PM - Thomas McKay

- Assignee set to Thomas McKay

- Priority changed from Normal to High

#3 - 06/11/2014 07:43 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 06/11/2014 09:52 PM - Thomas McKay

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:0c7c92feaf9872a3af82f2e894922ce49a572c23.

#5 - 08/22/2014 08:33 AM - Eric Helms
- translation missing: en.field_release set to 13
